View Issue Details

IDProjectCategoryView StatusLast Update
0011964mantisbtintegrationpublic2016-09-03 03:01
ReporteratrolAssigned Todregad 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.1 
Target Version1.3.1Fixed in Version1.3.1 
Summary0011964: Configuration of Browser Search Plugin
Description

At the moment there are hardcoded strings for shortname (MantisBT search) and description (MantisBT Text Search) of the browser search plugin (see browser_search_plugin.php)
So if you browse more than one instance of MantisBT you are not able to distinguish them.

This should be replaced by a configuration option combined with a localized string.
$g_window_title or $g_page_title could be used for this, or if makes more sense a new option $g_search_title

Something like:
$search_title = config_get( 'window_title' ) . ' - ' . lang_get( 'search' );
$search_description = config_get( 'window_title' ) . ' - ' . lang_get( 'text_search' );

There is also a hardcoded icon included which could be replaced by $g_favicon_image or maybe a new option is needed.

TagsNo tags attached.

Relationships

related to 0021659 closedcommunity Syntax error in browser_search_plugin.php 

Activities

atrol

atrol

2013-03-24 15:25

developer   ~0035957

See also pull request https://github.com/mantisbt/mantisbt/pull/73

dregad

dregad

2016-08-09 10:54

developer   ~0053773

New PR https://github.com/mantisbt/mantisbt/pull/840

Related Changesets

MantisBT: master-1.3.x 9a587dd2

2016-08-09 06:55:17

dregad

Details Diff
Use configured favicon for OpenSearch entries

Previously, we were using an hardcoded image file that was not matching
the new MantisBT icon.

This references the standard MantisBT favicon instead, and allows
administrators to customize their Browser Search with their own icon.

Fixes 0011964
mod - browser_search_plugin.php Diff File
mod - config_defaults_inc.php Diff File
mod - docbook/Admin_Guide/en-US/config/display.xml Diff File

MantisBT: master-1.3.x 1332b762

2016-08-09 10:01:13

dregad

Details Diff
Allow custom prefix for Browser Search entries

Prior to this, the prefix for OpenSearch entries generated by
browser_search_plugin.php was hardcoded to 'MantisBT'.

This defines a new '$g_search_title' config option (which defaults to
the value of $g_window_title) to be used as prefix, allowing
- administrators to customize the name of their browser search entries
- users to have distinct search engines for multiple MantisBT instances

$g_search_title should be shorter than 8 chars to be compliant with the
maximum size of 16 chars for the ShortName element as per OpenSearch
specification [1]

Fixes 0011964

[1] http://www.opensearch.org/Specifications/OpenSearch/1.1
mod - browser_search_plugin.php Diff File
mod - config_defaults_inc.php Diff File
mod - docbook/Admin_Guide/en-US/config/display.xml Diff File

MantisBT: master-1.3.x 81862b13

2016-08-09 10:06:26

dregad

Details Diff
Use $g_search_title when advertising search engines

Issue 0011964
mod - core/html_api.php Diff File

MantisBT: master-1.3.x 7702000e

2016-08-09 10:12:30

dregad

Details Diff
Localize OpenSearch engines names and descriptions

The $g_search_title prefix is inserted into the language strings to
produce the final text used both to advertise and register the search
engine in the user's browser.

Issue 0011964
mod - browser_search_plugin.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/html_api.php Diff File
mod - docbook/Admin_Guide/en-US/config/display.xml Diff File
mod - lang/strings_english.txt Diff File

MantisBT: master-1.3.x 519f38fa

2016-08-12 11:56:59

dregad

Details Diff
Opensearch improvements

- Use standard favicon instead of hardcoded PNG for Mantis search
engines
- Define new config for search engine name prefix (defaults to
$g_window_title)
- Localize search engine ShortNames and Descriptions

Fixes 0011964, Pull request 0000840
mod - browser_search_plugin.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/html_api.php Diff File
mod - docbook/Admin_Guide/en-US/config/display.xml Diff File
mod - lang/strings_english.txt Diff File

MantisBT: master-1.3.x 5bf47d4b

2016-08-12 19:15:28

dregad

Details Diff
OpenSearch: use config_get() for search_title

One occurence of config_get_global() was omitted in commit
35abba2c13e90a534aa91a0541b4ff061e0343ac.

Issue 0011964
mod - core/html_api.php Diff File

MantisBT: master-1.3.x 7abcf3c1

2016-08-12 19:17:13

dregad

Details Diff
OpenSearch: add admin check for Shortname <= 16 chars

Issue 0011964
mod - admin/check/check_display_inc.php Diff File

MantisBT: master-1.3.x b66af6d2

2016-08-15 11:35:03

dregad

Details Diff
Remove stray comma

Fix invalid HTML, follow-up on issue 0011964.
mod - core/html_api.php Diff File

Issue History

Date Modified Username Field Change
2010-05-28 05:37 atrol New Issue
2013-03-24 15:25 atrol Note Added: 0035957
2013-03-25 00:59 Gomathi File Added: qwert.jpg
2013-03-25 03:34 atrol File Deleted: qwert.jpg
2016-08-09 10:54 dregad Assigned To => dregad
2016-08-09 10:54 dregad Status new => assigned
2016-08-09 10:54 dregad Target Version => 1.3.1
2016-08-09 10:54 dregad Note Added: 0053773
2016-08-12 12:05 dregad Changeset attached => MantisBT master-1.3.x 9a587dd2
2016-08-12 12:05 dregad Changeset attached => MantisBT master-1.3.x 1332b762
2016-08-12 12:05 dregad Changeset attached => MantisBT master-1.3.x 81862b13
2016-08-12 12:05 dregad Changeset attached => MantisBT master-1.3.x 7702000e
2016-08-12 12:05 dregad Changeset attached => MantisBT master-1.3.x 519f38fa
2016-08-12 12:05 dregad Status assigned => resolved
2016-08-12 12:05 dregad Resolution open => fixed
2016-08-12 12:05 dregad Fixed in Version => 1.3.1
2016-08-12 19:43 dregad Changeset attached => MantisBT master-1.3.x 5bf47d4b
2016-08-12 19:43 dregad Changeset attached => MantisBT master-1.3.x 7abcf3c1
2016-08-16 18:41 dregad Changeset attached => MantisBT master-1.3.x b66af6d2
2016-08-28 01:12 vboctor Status resolved => closed
2016-09-03 03:01 atrol Relationship added related to 0021659